mptcpd_nm Struct Reference

Data needed to run the network monitor. More...

## Public Attributes

struct l_netlink * | rtnl
| ELL netlink object for the `NETLINK_ROUTE` protocol.
unsigned int | link_id
| "Link" rtnetlink multicast notification IDs.
unsigned int | ipv4_id
| IPv4 rtnetlink multicast notification IDs.
unsigned int | ipv6_id
| IPv6 rtnetlink multicast notification IDs.
struct l_queue * | interfaces
| List of `mptcpd_interface` objects.
struct l_queue * | ops
| List of `nm_ops_info` objects.
uint32_t | notify_flags
| Flags controlling address notification.

## Detailed Description

Data needed to run the network monitor.

The documentation for this struct was generated from the following file:

- lib/network_monitor.c